## node-ace-code 1.40.1+~cs1.7.37

=== Makefile ===
.PHONY : doc build clean dist

pre_build:
	git rev-parse HEAD > .git-ref
	mkdir -p build/src
	mkdir -p build/demo/kitchen-sink
	mkdir -p build/textarea/src
	
	cp -r demo/kitchen-sink/styles.css build/demo/kitchen-sink/styles.css
	cp demo/kitchen-sink/logo.png build/demo/kitchen-sink/logo.png
	cp -r doc/site/images build/textarea

build: pre_build
	./Makefile.dryice.js normal
	./Makefile.dryice.js demo

# Minimal build: call Makefile.dryice.js only if our sources changed
basic: build/src/ace.js

build/src/ace.js : ${wildcard lib/*} \
                   ${wildcard lib/*/*} \
                   ${wildcard lib/*/*/*} \
                   ${wildcard lib/*/*/*/*} \
                   ${wildcard lib/*/*/*/*/*} \
                   ${wildcard lib/*/*/*/*/*/*}
	./Makefile.dryice.js

doc:
	cd doc;\
	(test -d node_modules && npm update) || npm install;\
	node build.js

clean:
	rm -rf build
	rm -rf ace-*
	rm -f ace-*.tgz

ace.tgz: build
	mv build ace-`./version.js`/
	cp Readme.md ace-`./version.js`/
	cp LICENSE ace-`./version.js`/
	tar cvfz ace-`./version.js`.tgz ace-`./version.js`/

dist: clean build ace.tgz

## node-ace-code 1.35.4+~cs1.7.37

=== debian/changelog ===
node-ace-code (1.35.4+~cs1.7.37-3) unstable; urgency=medium

  * skip pkg-js require test
    (this being a browser-based package, it's not relevant)

 -- Philip Hands <phil@hands.com>  Thu, 23 Jan 2025 20:08:05 +0100

node-ace-code (1.35.4+~cs1.7.37-2) unstable; urgency=medium

  * improve information in debian/copyright

 -- Philip Hands <phil@hands.com>  Sun, 12 Jan 2025 21:47:49 +0100

node-ace-code (1.35.4+~cs1.7.37-1) unstable; urgency=medium

  * Initial release (Closes: #1089037)

 -- Philip Hands <phil@hands.com>  Tue, 17 Dec 2024 15:30:55 +0100

=== debian/control ===
Source: node-ace-code
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Philip Hands <phil@hands.com>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , node-async
 , node-through
 , node-typescript
 , node-istanbul <!nocheck>
Standards-Version: 4.7.0
Homepage: https://github.com/ajaxorg/ace
Vcs-Git: https://salsa.debian.org/js-team/node-ace.git
Vcs-Browser: https://salsa.debian.org/js-team/node-ace
Rules-Requires-Root: no

Package: node-ace-builds
Architecture: all
Depends:
 ${misc:Depends}
 , node-html5shiv
Description: standalone code editor, written in JavaScript
 Ace (Ajax.org Cloud9 Editor) aims to provide an in-browser editing experience
 that compares favourably with native editors such as TextMate, Vim or Eclipse.
 .
 It is the primary editor of the Cloud9 IDE, and is the successor of the Mozilla
 Skywriter (Bespin) Project.
 .
 This package mostly consists of minified files (e.g. .../src-min/*), that
 enable Ace to be easily embedded in webpages & JavaScript applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
#	what we need from the Makefile's pre_build: target
	mkdir -p build/src
	mkdir -p build/demo/kitchen-sink
	mkdir -p build/textarea/src
#	and the build: target
	./Makefile.dryice.js normal
	./Makefile.dryice.js css

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/ace-code-$1\.tar\.gz/ \
 https://github.com/ajaxorg/ace/tags .*/v?(1.35.4)\.tar\.gz group

opts=\
searchmode=plain,\
component=architect-build,\
ctype=nodejs,\
pgpmode=none,\
uversionmangle=s/^/0.0~/,\
dversionmangle=s/.*/0.0~43a6fde/,\
filenamemangle=s/.*/architect-build-0.0~43a6fde.tar.gz/,\
downloadurlmangle=s/commits/tarball/ \
 https://github.com/c9/architect-build/commits/ (43a6fde) ignore


# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts=\
searchmode=plain,\
component=dryice,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-dryice-$1/ \
 https://registry.npmjs.org/dryice https://registry.npmjs.org/dryice/-/dryice-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=uglify-js,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-UglifyJS-$1/ \
 https://github.com/mishoo/UglifyJS-old/tags .*/v?(\d\S*)\.tar\.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=asyncjs,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-asyncjs-$1/" \
 https://registry.npmjs.org/asyncjs https://registry.npmjs.org/asyncjs/-/asyncjs-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=amd-loader,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-amd-loader-$1/" \
 https://registry.npmjs.org/amd-loader https://registry.npmjs.org/amd-loader/-/amd-loader-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-ace-code 1.40.1%2B~cs1.7.37

=== debian/changelog ===
node-ace-code (1.40.1+~cs1.7.37-1) unstable; urgency=medium

  * Update to new upstream version 1.40.1+~cs1.7.37.

    This package is currently only depended upon by openqa.
    Since upstream's testing of openqa is very extensive,
    it seems wise to use the versions of dependencies
    that they have tested with, hence this update.

 -- Philip Hands <phil@hands.com>  Wed, 14 May 2025 17:28:45 +0200

## node-ace-code 1.40.1+~cs1.7.37

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  , node-istanbul <!nocheck>
 Standards-Version: 4.7.0
 Homepage: https://github.com/ajaxorg/ace
-Vcs-Git: https://salsa.debian.org/js-team/node-ace.git
-Vcs-Browser: https://salsa.debian.org/js-team/node-ace
+Vcs-Git: https://salsa.debian.org/js-team/node-ace-code.git
+Vcs-Browser: https://salsa.debian.org/js-team/node-ace-code
 Rules-Requires-Root: no
 
 Package: node-ace-builds

=== debian/watch ===
--- 
+++ 
@@ -2,19 +2,18 @@
 opts=\
 dversionmangle=auto,\
 filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/ace-code-$1\.tar\.gz/ \
- https://github.com/ajaxorg/ace/tags .*/v?(1.35.4)\.tar\.gz group
+ https://github.com/ajaxorg/ace/tags?after=v1.41.0 .*/v?(1.40.1)\.tar\.gz group
 
 opts=\
 searchmode=plain,\
 component=architect-build,\
 ctype=nodejs,\
 pgpmode=none,\
-uversionmangle=s/^/0.0~/,\
-dversionmangle=s/.*/0.0~43a6fde/,\
+uversionmangle=s/.*/0.0.0/,\
+dversionmangle=s/.*/0.0.0~43a6fde/,\
 filenamemangle=s/.*/architect-build-0.0~43a6fde.tar.gz/,\
 downloadurlmangle=s/commits/tarball/ \
- https://github.com/c9/architect-build/commits/ (43a6fde) ignore
-
+ https://github.com/c9/architect-build/commits/ (43a6fde) checksum
 
 # It is not recommended use npmregistry. Please investigate more.
 # Take a look at https://wiki.debian.org/debian/watch/
